gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.CellRenderer Renders a or a

This Class is a implementation that can render a checkbox in your columns.

It is important to note that the will not change the corresponding bool field in your itself - you'll need to provide a handler, as shown in the following code snippet:

`private TreeStore store; void SetupTreeView () { store = new TreeStore (typeof (string), typeof(bool)); // populate store.. TreeView tv = new TreeView (store); tv.HeadersVisible = true; tv.AppendColumn ("Name", new CellRendererText (), "text", 0); CellRendererToggle crt = new CellRendererToggle(); crt.Activatable = true; crt.Toggled += crt_toggled; tv.AppendColumn ("CheckMe", crt, "active", 1); // add the TreeView to some window... } void crt_toggled(object o, ToggledArgs args) { TreeIter iter; if (store.GetIter (out iter, new TreePath(args.Path))) { bool old = (bool) store.GetValue(iter,1); store.SetValue(iter,1,!old); } }`
- Constructor
  2.12.0.0
  Creates a new .
  The default constructor.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Property
  2.12.0.0
  GLib.Property("activatable")
  System.Boolean The can be activated. an object of type
- Property
  2.12.0.0
  GLib.Property("active")
  System.Boolean The toggle state of the . an object of type
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  GLib.Property("inconsistent")
  System.Boolean The inconsistent state of the button. a
- Property
  2.12.0.0
  GLib.Property("indicator-size")
  System.Int32 Size of check or radio indicator. defaults to 12.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideToggled", Type=typeof(Gtk.CellRendererToggle))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Property
  2.12.0.0
  GLib.Property("radio")
  System.Boolean Draw the as a . an object of type
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  Gtk.CellEditable `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Event
  2.12.0.0
  GLib.Signal("toggled")
  Gtk.ToggledHandler Emitted when the cell is clicked.